/*==========Minipage==========--------------------------*/

body {
    border-left: none;
    height: 100vh;
    overflow-y: hidden;
    display: flex;
    background: var(--gray);
}

#frame {
    max-width: unset;
}

footer ul {
    width: calc(100% - 36px);
    font: var(--body-sc);
    text-transform: uppercase;
    text-shadow: var(--text-outline);
    letter-spacing: var(--letter-spacing);
    list-style: none;
    display: flex;
    padding: 0 48px;
    margin: 0 auto;
    justify-content: space-between;
    position: relative;
    background: var(--gray);
    border: var(--outline-light);
    border-width: 1px 0;
}

footer li {
    margin: 0 1ch;
}

footer li::before {
    content: none;
}

footer a {
    background: none;
    text-decoration: none;
}


h1 { text-align: center; }
h2 { border-bottom: 2px solid var(--gray) }

h1 ~ h2 {
    border: none;
    text-align: center;
    margin-bottom: 1rem;
}

h4 {
    border: none;
}

p {
    text-align: justify;
}

table.details {
    background: var(--secondary-light-light);
}

#wrapper { 
    display: block;
    width: 100%;
    max-width: var(--miniwrapper-width);
    height: 60vh;
    min-height: unset;
    background: url(../layout/borders/scallop_side-r.png) repeat-y right bottom, url(../layout/borders/scallop_side-l.png) repeat-y left bottom;
    background-size: 36px;
    padding: 0 36px;
/*    margin: 0 auto;*/
    margin-left: var(--sidenav-width);
    position: relative;
}
#wrapper::before, #wrapper::after {
    content: '';
    width: 100%;
    height: 118px;
    background-image: url(../layout/borders/quilt_corner-tl.svg), url(../layout/borders/quilt_corner-tr.svg);
    background-position: left, right;
    background-size: contain, contain;
    background-repeat: no-repeat, no-repeat, repeat-x;
    background-clip: padding-box, padding-box, content-box;
    padding: 0 36px;
    margin-left: -36px;
    position: absolute;
    top: -36px;
    right: 0;
    z-index: 1000;
    pointer-events: none;
}
#wrapper::after {
    background-image: url(../layout/borders/quilt_corner-bl.svg), url(../layout/borders/quilt_corner-br.svg);
    background-position: left, right;
    top: unset;
    bottom: -36px;
}
#plate {
    display: block;
    padding: var(--lace-h) 0;
    background-image: url(../layout/borders/scallop_top.png), url(../layout/borders/scallop_bottom.png);
    background-position: top center, bottom center;
    background-repeat: repeat-x;
    background-size: var(--lace-v);
    height: calc(100% + (var(--lace-h) * 2));
    margin-top: -32px;
}

#frame { 
    height: calc(100% - (.8rem + 8px));
    overflow-y: scroll;
}

#content { padding: 0; }
#content::before {
    content: none;
    display: none;
}

.welcome { width: 100%; }
.welcome span { display: inline-block; position: relative; }


.inner {
    background: var(--secondary-light) url(../layout/background/gingham.svg);
    background-size: var(--bg-sm);
      padding: var(--content-side-padding);
}

.inner:nth-child(even) {
    background: var(--secondary-light-light);
}

#history {
    background-image: none;
}


.eyes {
    max-width: 248px;
    margin: 0 auto;
    background: url(../about/eyes.gif) no-repeat;
    background-size: 65%;
    background-position: 50% 53%;
}

.note {
    top: 15%;
    right: -3%;
}

.info span:first-child { font-weight: bold;  color: var(--attn); }

.link {
    max-width: 160px;
    display: flex;
    flex-wrap: wrap;
    justify-content: space-between;
    border: var(--primary-dark) solid 12px;
	border-image: url(../layout/borders/line.svg) 20% round;
    background-clip: padding-box;
}

.stamps {
    text-align: center;
    display: inline-block;
}

#interests {
    text-align: center;
}

#interests .flexcontain { justify-content: space-between; }
#interests h3 {
    background: var(--secondary-light-light);
    text-align: center;
    margin: 2rem 0 1rem 0;
}

.interest {
    width: calc(50% - 0.5rem);
    margin-bottom: 1rem;
}
#content .interest ul {
    list-style: none;
    height: 100px;
    margin-bottom: 0;
    overflow-y: auto;
    overflow-x: hidden;
    border-top: none;
}

.interest li {
    padding: 2px;
    margin-bottom: 4px;
    background: var(--white);
}

#content .interest li::before {
    content: none;
}


.threebythree { width: 100%; margin: 0 auto;}
.threebythree td {
    border: var(--secondary-light) 1px solid;
    background: var(--white);
    position: relative;
}
.threebythree .caption {
    opacity: 0;
    font-weight: 600;
    width: calc(100% + 1px);
    max-width: unset;
    padding: 2px;
    margin: 0;
    z-index: 100;
    background: var(--white);
    position: absolute;
    top: calc(50% - 1rem);
}
.threebythree td:hover .caption { opacity: 100%; }

.threebythree .caption span {
    display: block;
    font-weight: normal;
}

/*==========Links==========--------------------------*/

table.links img {
    max-width: 88px;
}
table.links td:first-child {
    width: 88px;
}

/*========================*/
/*Responsiveness*/
/*========================*/

@media screen and (max-width: 800px) {
    
    body {
        height: unset;
        overflow-y: auto;
        padding: calc(var(--lace-h) + var(--side-padding)) 0;
    }
    
    #wrapper, #frame, #plate {
        height: unset;
    }
    
}